NATS C Client with JetStream and Streaming support 3.6.1 The nats.io C Client, Supported by Synadia Communications Inc.

Loading...
Searching...
No Matches
Public Attributes | List of all members
kvConfig Struct Reference
Types

`#include <nats.h>`

## Public Attributes
const char * | Bucket
const char * | Description
int32_t | MaxValueSize
uint8_t | History
int64_t | TTL
int64_t | MaxBytes
jsStorageType | StorageType
int | Replicas
jsRePublish * | RePublish
jsStreamSource * | Mirror
jsStreamSource ** | Sources
int | SourcesLen

## Detailed Description

KeyValue configuration object.

Initialize the object with kvConfig_Init.

## Member Data Documentation

## ◆ Bucket

const char* kvConfig::Bucket

## ◆ Description

const char* kvConfig::Description

## ◆ MaxValueSize

int32_t kvConfig::MaxValueSize

## ◆ History

uint8_t kvConfig::History

## ◆ TTL

int64_t kvConfig::TTL

## ◆ MaxBytes

int64_t kvConfig::MaxBytes

## ◆ StorageType

jsStorageType kvConfig::StorageType

## ◆ Replicas

int kvConfig::Replicas

## ◆ RePublish

jsRePublish* kvConfig::RePublish

## ◆ Mirror

jsStreamSource* kvConfig::Mirror

## ◆ Sources

jsStreamSource** kvConfig::Sources

## ◆ SourcesLen

int kvConfig::SourcesLen

The documentation for this struct was generated from the following file:

- nats.h